SecurityMaster (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.cache.query.data

## Class SecurityMaster

- java.lang.Object
- - org.apache.geode.cache.query.data.SecurityMaster

- All Implemented Interfaces:
    java.io.Serializable

      public class SecurityMaster
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `accrual_daycount_code`
    `java.lang.String` | `additional_sec_desc`
    `java.lang.String` | `advalorem_tax_status`
    `java.lang.String` | `alternative_minimum_tax_status`
    `int` | `amortization_term`
    `double` | `article_counter`
    `java.lang.String` | `bank_qualified_status`
    `java.lang.String` | `call_type`
    `java.lang.String` | `country_code`
    `java.lang.String` | `coupon_class`
    `java.sql.Timestamp` | `coupon_date`
    `java.lang.String` | `coupon_frequency`
    `double` | `coupon_rate`
    `java.lang.String` | `coupon_type`
    `java.lang.String` | `cusip`
    `java.lang.String` | `cusip_prohibited`
    `java.sql.Timestamp` | `dated_date`
    `java.lang.String` | `escrow_type`
    `java.lang.String` | `exchange`
    `java.sql.Timestamp` | `first_coupon_date`
    `java.sql.Timestamp` | `first_settlement_date`
    `java.lang.String` | `hand_figure_ind`
    `protected int` | `i`
    `java.lang.String` | `insurance_type`
    `java.lang.String` | `insurer_name`
    `java.lang.String` | `investment_grade`
    `java.lang.String` | `is_bank_qualified`
    `java.lang.String` | `is_callable`
    `java.lang.String` | `is_endof_monthpayment`
    `java.lang.String` | `is_escrow`
    `java.lang.String` | `is_exmt_amt`
    `java.lang.String` | `is_general_oblig`
    `java.lang.String` | `is_insured`
    `java.lang.String` | `is_perpetual`
    `java.lang.String` | `is_prerefunded`
    `java.lang.String` | `is_revenue`
    `java.lang.String` | `is_subj_amt`
    `java.lang.String` | `is_taxable`
    `java.sql.Timestamp` | `issue_date`
    `double` | `issuer_price`
    `java.sql.Timestamp` | `last_coupon_date`
    `java.lang.String` | `legal_defeasance_status`
    `java.sql.Timestamp` | `maturity_date`
    `java.lang.String` | `mbs_class_code`
    `java.lang.String` | `mbscc_eligibility_flag`
    `java.lang.String` | `monetary_default_ind`
    `java.lang.String` | `moody_rating`
    `java.lang.String` | `moody_watch`
    `java.sql.Timestamp` | `next_last_coupon_date`
    `java.sql.Timestamp` | `next_settlement_date`
    `java.lang.String` | `pre_refund_type`
    `java.sql.Timestamp` | `pre_refunded_date`
    `double` | `pre_refunded_price`
    `java.lang.String` | `put_type`
    `java.lang.String` | `sbs_product_code`
    `java.lang.String` | `sbs_product_group`
    `java.lang.String` | `security_description`
    `java.lang.String` | `security_number`
    `java.lang.String` | `security_type`
    `java.lang.String` | `short_description`
    `java.lang.String` | `sinking_fund_type`
    `java.lang.String` | `snp_rating`
    `java.lang.String` | `snp_watch`
    `java.lang.String` | `source`
    `java.lang.String` | `state_code`
    `java.lang.String` | `symbol`
    `java.lang.String` | `tax_indicator`
    `java.lang.String` | `taxable_status`
    `java.lang.String` | `tba_cusip`
    `protected java.lang.String[]` | `tempArr`
    `protected double` | `tempDouble`
    `protected int` | `tempInt`
    `protected java.lang.String` | `tempStr`
    `java.lang.String` | `trading_flat_ind`
    `java.sql.Timestamp` | `update_date`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityMaster(java.lang.String inputStr)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cusip

          public java.lang.String cusip

    - #### cusip_prohibited

          public java.lang.String cusip_prohibited

    - #### security_number

          public java.lang.String security_number

    - #### security_type

          public java.lang.String security_type

    - #### sbs_product_code

          public java.lang.String sbs_product_code

    - #### sbs_product_group

          public java.lang.String sbs_product_group

    - #### is_callable

          public java.lang.String is_callable

    - #### dated_date

          public java.sql.Timestamp dated_date

    - #### maturity_date

          public java.sql.Timestamp maturity_date

    - #### coupon_date

          public java.sql.Timestamp coupon_date

    - #### coupon_rate

          public double coupon_rate

    - #### issue_date

          public java.sql.Timestamp issue_date

    - #### issuer_price

          public double issuer_price

    - #### moody_rating

          public java.lang.String moody_rating

    - #### snp_rating

          public java.lang.String snp_rating

    - #### security_description

          public java.lang.String security_description

    - #### state_code

          public java.lang.String state_code

    - #### country_code

          public java.lang.String country_code

    - #### first_settlement_date

          public java.sql.Timestamp first_settlement_date

    - #### next_settlement_date

          public java.sql.Timestamp next_settlement_date

    - #### first_coupon_date

          public java.sql.Timestamp first_coupon_date

    - #### next_last_coupon_date

          public java.sql.Timestamp next_last_coupon_date

    - #### last_coupon_date

          public java.sql.Timestamp last_coupon_date

    - #### call_type

          public java.lang.String call_type

    - #### pre_refunded_date

          public java.sql.Timestamp pre_refunded_date

    - #### pre_refunded_price

          public double pre_refunded_price

    - #### put_type

          public java.lang.String put_type

    - #### coupon_frequency

          public java.lang.String coupon_frequency

    - #### sinking_fund_type

          public java.lang.String sinking_fund_type

    - #### escrow_type

          public java.lang.String escrow_type

    - #### pre_refund_type

          public java.lang.String pre_refund_type

    - #### insurance_type

          public java.lang.String insurance_type

    - #### insurer_name

          public java.lang.String insurer_name

    - #### exchange

          public java.lang.String exchange

    - #### is_escrow

          public java.lang.String is_escrow

    - #### is_prerefunded

          public java.lang.String is_prerefunded

    - #### is_insured

          public java.lang.String is_insured

    - #### is_taxable

          public java.lang.String is_taxable

    - #### is_subj_amt

          public java.lang.String is_subj_amt

    - #### is_exmt_amt

          public java.lang.String is_exmt_amt

    - #### is_bank_qualified

          public java.lang.String is_bank_qualified

    - #### is_general_oblig

          public java.lang.String is_general_oblig

    - #### is_revenue

          public java.lang.String is_revenue

    - #### legal_defeasance_status

          public java.lang.String legal_defeasance_status

    - #### alternative_minimum_tax_status

          public java.lang.String alternative_minimum_tax_status

    - #### tax_indicator

          public java.lang.String tax_indicator

    - #### bank_qualified_status

          public java.lang.String bank_qualified_status

    - #### taxable_status

          public java.lang.String taxable_status

    - #### advalorem_tax_status

          public java.lang.String advalorem_tax_status

    - #### source

          public java.lang.String source

    - #### accrual_daycount_code

          public java.lang.String accrual_daycount_code

    - #### is_endof_monthpayment

          public java.lang.String is_endof_monthpayment

    - #### symbol

          public java.lang.String symbol

    - #### short_description

          public java.lang.String short_description

    - #### moody_watch

          public java.lang.String moody_watch

    - #### snp_watch

          public java.lang.String snp_watch

    - #### article_counter

          public double article_counter

    - #### coupon_type

          public java.lang.String coupon_type

    - #### update_date

          public java.sql.Timestamp update_date

    - #### is_perpetual

          public java.lang.String is_perpetual

    - #### tba_cusip

          public java.lang.String tba_cusip

    - #### coupon_class

          public java.lang.String coupon_class

    - #### amortization_term

          public int amortization_term

    - #### mbs_class_code

          public java.lang.String mbs_class_code

    - #### mbscc_eligibility_flag

          public java.lang.String mbscc_eligibility_flag

    - #### additional_sec_desc

          public java.lang.String additional_sec_desc

    - #### hand_figure_ind

          public java.lang.String hand_figure_ind

    - #### trading_flat_ind

          public java.lang.String trading_flat_ind

    - #### monetary_default_ind

          public java.lang.String monetary_default_ind

    - #### investment_grade

          public java.lang.String investment_grade

    - #### tempArr

          protected java.lang.String[] tempArr

    - #### i

          protected int i

    - #### tempStr

          protected java.lang.String tempStr

    - #### tempInt

          protected int tempInt

    - #### tempDouble

          protected double tempDouble

  - ### Constructor Detail

    - #### SecurityMaster

          public SecurityMaster(java.lang.String inputStr)